diff -ruN deadbeef.orig/Makefile deadbeef/Makefile
--- deadbeef.orig/Makefile	2011-09-02 17:09:57.529098296 +0400
+++ deadbeef/Makefile	2011-09-02 17:26:18.277462125 +0400
@@ -2,27 +2,28 @@
 # Date created:		2010-01-17
 # Whom:			Gvozdikov Veniamin <g.veniamin@googlemail.com>
 #
-# $FreeBSD: ports/audio/deadbeef/Makefile,v 1.13 2011/07/30 09:39:41 kwm Exp $
+# $FreeBSD: ports/audio/deadbeef/Makefile,v 1.11 2011/04/01 12:29:11 dhn Exp $
 #
 
 PORTNAME=	deadbeef
-PORTVERSION=	0.4.4
-PORTREVISION=	2
+PORTVERSION=	0.5.1
 CATEGORIES=	audio
 MASTER_SITES=	SF/${PORTNAME}/
 
 MAINTAINER=	g.veniamin@googlemail.com
 COMMENT=	DeaDBeeF is an audio player
 
+LICENSE=	GPLv2
+
 LIB_DEPENDS=	samplerate.1:${PORTSDIR}/audio/libsamplerate \
 		mad.2:${PORTSDIR}/audio/libmad \
 		execinfo.1:${PORTSDIR}/devel/libexecinfo
 
-LICENSE=	GPLv2
-
 GNU_CONFIGURE=	yes
 USE_GETTEXT=	yes
 USE_GMAKE=	yes
+USE_GCC=	4.5+
+USE_LDCONFIG=	yes
 USE_BZIP2=	yes
 USE_ICONV=	yes
 CONFIGURE_ARGS=	--disable-alsa --disable-nullout \
@@ -38,7 +39,7 @@
 		LASTFM "last.fm/libre.fm scrobbler plugin" on\
 		ART "album art loader plugin" on\
 		EQ "SuperEQ DSP plugin" on\
-		SID "commodore64 SID music player plugin" on\
+		SID "SID music player plugin" on\
 		FFAP "Monkey's Audio plugin" on\
 		VTX "libayemy VTX ZX-Spectrum music player plugin" on\
 		ADP "adplug plugin" on\
@@ -49,7 +50,7 @@
 		SNDFILE "libsndfile plugin for PCM wave files" on\
 		WAV "wavpack plugin" on\
 		CDDA "CD-Audio plugin" on\
-		GME "Game Music Emu plugin for NSF, AY, etc" on\
+		GME "Game Music Emu plugin" on\
 		DUMB "D.U.M.B. plugin for MOD, S3M and other" on\
 		NOTIFY "support for OSD notifications into GTKUI plugin" on\
 		MUSEPACK "musepack plugin" on\
@@ -61,7 +62,11 @@
 		SHN "shorten plugin" on\
 		AO "audio overload plugin" on\
 		SHELLEXEC "shell commands plugin" on\
-		NLS "Native Language Support" on
+		NLS "Native Language Support" on\
+		M3U "m3u plugin" on\
+		DSP "libsamplerate (SRC) plugin" on\
+		CONVERTER "Build converter" on\
+		VFS_ZIP "ZIP support" on
 
 .include <bsd.port.options.mk>
 
@@ -102,8 +107,10 @@
 PLIST_SUB+=	ART="@comment "
 .else
 .if !defined(WITHOUT_VFS)
+CONFIGURE_ARTS+=	--disable-artwork-imlib2
 PLIST_SUB+=	ART=""
-LIB_DEPENDS+=	curl.6:${PORTSDIR}/ftp/curl
+LIB_DEPENDS+=	curl.6:${PORTSDIR}/ftp/curl \
+		jpeg.11:${PORTSDIR}/graphics/jpeg
 .else
 BROKEN=		VFS plugin required for album art loader, please rerun 'make config' and either disable ART or enable VFS
 .endif
@@ -295,4 +302,39 @@
 PLIST_SUB+=	NLS=""
 .endif
 
+.if defined(WITHOUT_CONVERTER)
+CONFIGURE_ARGS+=	--disable-converter
+PLIST_SUB+=	CONVERTER="@comment "
+.else
+.if !defined(WITHOUT_GUI)
+PLIST_SUB+=	CONVERTER=""
+USE_GNOME=	gtk20 glib20
+.else
+BROKEN=		CONVERTER plugin required for gui, please rerun 'make config' and either disable CONVERTER or enable GUI
+.endif
+.endif
+
+.if defined(WITHOUT_M3U)
+CONFIGURE_ARGS+=	--disable-m3u
+PLIST_SUB+=	M3U="@comment "
+.else
+PLIST_SUB+=	M3U=""
+.endif
+
+.if defined(WITHOUT_DSP)
+CONFIGURE_ARGS+=	--disable-src
+PLIST_SUB+=	DSP="@comment "
+.else
+PLIST_SUB+=	DSP=""
+LIB_DEPENDS+=	samplerate.1:${PORTSDIR}/audio/libsamplerate
+.endif
+
+.if defined(WITHOUT_VFS_ZIP)
+CONFIGURE_ARGS+=	--disable-vfs-zip
+PLIST_SUB+=	VFS_ZIP="@comment "
+.else
+PLIST_SUB+=	VFS_ZIP=""
+LIB_DEPENDS+=	zip.3:${PORTSDIR}/archivers/libzip
+.endif
+
 .include <bsd.port.mk>
diff -ruN deadbeef.orig/distinfo deadbeef/distinfo
--- deadbeef.orig/distinfo	2011-09-02 17:09:57.529098296 +0400
+++ deadbeef/distinfo	2011-09-01 21:54:49.735566440 +0400
@@ -1,2 +1,2 @@
-SHA256 (deadbeef-0.4.4.tar.bz2) = 93547e776f1c67a68236d394a67d0d84478f12ad375a4208e6dbba5972f6ec32
-SIZE (deadbeef-0.4.4.tar.bz2) = 2612233
+SHA256 (deadbeef-0.5.1.tar.bz2) = 449e2933634c8f06dfdac65cd1afbe87a7f97fcd8e541694d6e65fe1941ac18f
+SIZE (deadbeef-0.5.1.tar.bz2) = 2317508
diff -ruN deadbeef.orig/files/patch-plugins__dumb__dumb-kode54__src__it__itrender.c deadbeef/files/patch-plugins__dumb__dumb-kode54__src__it__itrender.c
--- deadbeef.orig/files/patch-plugins__dumb__dumb-kode54__src__it__itrender.c	2011-09-02 17:09:57.525066499 +0400
+++ deadbeef/files/patch-plugins__dumb__dumb-kode54__src__it__itrender.c	1970-01-01 03:00:00.000000000 +0300
@@ -1,13 +0,0 @@
---- ./plugins/dumb/dumb-kode54/src/it/itrender.c.orig	2011-03-31 17:50:48.000000000 +0200
-+++ ./plugins/dumb/dumb-kode54/src/it/itrender.c	2011-03-31 17:51:47.000000000 +0200
-@@ -3558,10 +3558,6 @@
- 	playing->sample_vibrato_time += playing->sample->vibrato_speed;
- }
- 
--#ifndef __linux__
--static inline float log2(float x) {return (float)log(x)/(float)log(2.0f);}
--#endif
--
- static int delta_to_note(float delta, int base)
- {
- 	float note;
diff -ruN deadbeef.orig/pkg-plist deadbeef/pkg-plist
--- deadbeef.orig/pkg-plist	2011-09-02 17:09:57.529098296 +0400
+++ deadbeef/pkg-plist	2011-09-02 16:34:57.182875802 +0400
@@ -1,5 +1,6 @@
 bin/deadbeef
 include/deadbeef/deadbeef.h
+%%GUI%%include/deadbeef/gtkui_api.h
 %%ADP%%lib/deadbeef/adplug.a
 %%ADP%%lib/deadbeef/adplug.la
 %%ADP%%lib/deadbeef/adplug.so
@@ -20,10 +21,6 @@
 %%FLAC%%lib/deadbeef/flac.la
 %%FLAC%%lib/deadbeef/flac.so
 %%FLAC%%lib/deadbeef/flac.so.0
-%%GUI%%lib/deadbeef/gtkui.a
-%%GUI%%lib/deadbeef/gtkui.la
-%%GUI%%lib/deadbeef/gtkui.so
-%%GUI%%lib/deadbeef/gtkui.so.0
 %%HOTKEYS%%lib/deadbeef/hotkeys.so
 %%HOTKEYS%%lib/deadbeef/hotkeys.la
 %%HOTKEYS%%lib/deadbeef/hotkeys.a
@@ -84,14 +81,6 @@
 %%MMS%%lib/deadbeef/mms.so
 %%MMS%%lib/deadbeef/mms.la
 %%MMS%%lib/deadbeef/mms.a
-%%SHN%%lib/deadbeef/shn.so.0
-%%SHN%%lib/deadbeef/shn.so
-%%SHN%%lib/deadbeef/shn.la
-%%SHN%%lib/deadbeef/shn.a
-%%AO%%lib/deadbeef/ao.so.0
-%%AO%%lib/deadbeef/ao.so
-%%AO%%lib/deadbeef/ao.la
-%%AO%%lib/deadbeef/ao.a
 %%SHELLEXEC%%lib/deadbeef/shellexec.so.0
 %%SHELLEXEC%%lib/deadbeef/shellexec.so
 %%SHELLEXEC%%lib/deadbeef/shellexec.la
@@ -104,10 +93,6 @@
 %%SID%%lib/deadbeef/sid.so
 %%SID%%lib/deadbeef/sid.la
 %%SID%%lib/deadbeef/sid.a
-%%ART%%lib/deadbeef/artwork.so.0
-%%ART%%lib/deadbeef/artwork.so
-%%ART%%lib/deadbeef/artwork.la
-%%ART%%lib/deadbeef/artwork.a
 %%EQ%%lib/deadbeef/supereq.so.0
 %%EQ%%lib/deadbeef/supereq.so
 %%EQ%%lib/deadbeef/supereq.la
@@ -116,10 +101,6 @@
 %%GME%%lib/deadbeef/gme.so
 %%GME%%lib/deadbeef/gme.la
 %%GME%%lib/deadbeef/gme.a
-%%DUMB%%lib/deadbeef/dumb.so.0
-%%DUMB%%lib/deadbeef/dumb.so
-%%DUMB%%lib/deadbeef/dumb.la
-%%DUMB%%lib/deadbeef/dumb.a
 %%NOTIFY%%lib/deadbeef/notify.so.0
 %%NOTIFY%%lib/deadbeef/notify.so
 %%NOTIFY%%lib/deadbeef/notify.la
@@ -137,6 +118,41 @@
 %%DOCSDIR%%/translators.txt
 %%DOCSDIR%%/help.ru.txt
 %%DOCSDIR%%/help.pt_BR.txt
+%%GUI%%lib/deadbeef/ddb_gui_GTK2.so.0
+%%GUI%%lib/deadbeef/ddb_gui_GTK2.so
+%%GUI%%lib/deadbeef/ddb_gui_GTK2.la
+%%GUI%%lib/deadbeef/ddb_gui_GTK2.a
+%%DSP%%lib/deadbeef/dsp_libsrc.so.0
+%%DSP%%lib/deadbeef/dsp_libsrc.so
+%%DSP%%lib/deadbeef/dsp_libsrc.la
+%%DSP%%lib/deadbeef/dsp_libsrc.a
+%%M3U%%lib/deadbeef/m3u.so
+%%M3U%%lib/deadbeef/m3u.so.0
+%%M3U%%lib/deadbeef/m3u.la
+%%M3U%%lib/deadbeef/m3u.a
+%%CONVERTER%%lib/deadbeef/converter.so.0
+%%CONVERTER%%lib/deadbeef/converter.so
+%%CONVERTER%%lib/deadbeef/converter.la
+%%CONVERTER%%lib/deadbeef/converter_gtkui.so.0
+%%CONVERTER%%lib/deadbeef/converter_gtkui.so
+%%CONVERTER%%lib/deadbeef/converter_gtkui.la
+%%CONVERTER%%lib/deadbeef/converter.a
+%%CONVERTER%%lib/deadbeef/converter_gtkui.a
+%%CONVERTER%%lib/deadbeef/convpresets/AAC_(Nero_FAAC).txt
+%%CONVERTER%%lib/deadbeef/convpresets/FLAC_(compression_level_5).txt
+%%CONVERTER%%lib/deadbeef/convpresets/MP3_CBR_320_Kbps_(Lame).txt
+%%CONVERTER%%lib/deadbeef/convpresets/MP3_VBR_192Kbps_(Lame).txt
+%%CONVERTER%%lib/deadbeef/convpresets/MS_RIFF_WAV.txt
+%%CONVERTER%%lib/deadbeef/convpresets/MusePack.txt
+%%CONVERTER%%lib/deadbeef/convpresets/Ogg_Vorbis_(-q_5).txt
+%%CONVERTER%%lib/deadbeef/convpresets/TTA.txt
+%%CONVERTER%%lib/deadbeef/convpresets/WavPack.txt
+%%VFS_ZIP%%lib/deadbeef/vfs_zip.so.0
+%%VFS_ZIP%%lib/deadbeef/vfs_zip.so
+%%VFS_ZIP%%lib/deadbeef/vfs_zip.la
+%%VFS_ZIP%%lib/deadbeef/vfs_zip.a
+%%NLS%%share/locale/be/LC_MESSAGES/deadbeef.mo
+%%NLS%%share/locale/tr/LC_MESSAGES/deadbeef.mo
 %%NLS%%share/locale/bg/LC_MESSAGES/deadbeef.mo
 %%NLS%%share/locale/bn/LC_MESSAGES/deadbeef.mo
 %%NLS%%share/locale/ca/LC_MESSAGES/deadbeef.mo
@@ -211,14 +227,15 @@
 @dirrmtry share/icons/hicolor/scalable
 @dirrmtry share/icons/hicolor
 @dirrmtry share/icons
-@dirrmtry %%NLS%%share/locale/lg/LC_MESSAGES
-@dirrmtry %%NLS%%share/locale/lg
 @dirrmtry %%NLS%%share/locale/km/LC_MESSAGES
 @dirrmtry %%NLS%%share/locale/km
+@dirrmtry %%NLS%%share/locale/lg/LC_MESSAGES
+@dirrmtry %%NLS%%share/locale/lg
 %%DATADIR%%/pixmaps/noartwork.jpg
 @dirrm %%DOCSDIR%%
 @dirrm %%DATADIR%%/pixmaps
 @dirrm %%DATADIR%%
+%%CONVERTER%%@dirrm lib/deadbeef/convpresets
 @dirrm lib/deadbeef
 @dirrm include/deadbeef
 @dirrmtry share/applications
